Gentoo Archives: gentoo-commits

From: Hans de Graaff <graaff@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/acts_as_list/
Date: Mon, 30 Sep 2019 05:44:20
Message-Id: 1569822212.68f9bb9a5a1137437bb6d956fe8342017918c035.graaff@gentoo
commit:     68f9bb9a5a1137437bb6d956fe8342017918c035
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 30 05:23:58 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Sep 30 05:43:32 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=68f9bb9a

dev-ruby/acts_as_list: add 1.0.0

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/acts_as_list/Manifest                  |  1 +
 dev-ruby/acts_as_list/acts_as_list-1.0.0.ebuild | 36 +++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/dev-ruby/acts_as_list/Manifest b/dev-ruby/acts_as_list/Manifest
index a50e07f7775..73465485703 100644
--- a/dev-ruby/acts_as_list/Manifest
+++ b/dev-ruby/acts_as_list/Manifest
@@ -1 +1,2 @@
 DIST acts_as_list-0.9.19.gem 37376 BLAKE2B e676d970fecbf81df92193e62e3cd9880c3f3f7b03cfbdb7e9e3802aefe209f55d034a4e7e2b9ff09ed84ef7ba7fdbd3d625fe79d86ca1e826f7ebd90bd96e8e SHA512 890d396647c770df754abcde2ab69f022d6fbc2417a1672f41fec2e03e2db7ce2df08126efb757e18c7f0f2faa1230ffa49f099b94ee9035068d6c04c38c7476
+DIST acts_as_list-1.0.0.gem 38912 BLAKE2B b48b554590343271156c4e4275ed6f7c59ea03c4a0c9a88cf549e9cbaf2fe428957c704f4fe70729c027f87236b1b347e3ff37978a775028c940dadf99b0a872 SHA512 850ec3b148a0123e7393109987aab321b75567dae8be2445bf0b40e089bf07eaa121c09997ccf725ca947dff440c57186e43c30a7c82e229002d226109a1f59a

diff --git a/dev-ruby/acts_as_list/acts_as_list-1.0.0.ebuild b/dev-ruby/acts_as_list/acts_as_list-1.0.0.ebuild
new file mode 100644
index 00000000000..8c9eae97880
--- /dev/null
+++ b/dev-ruby/acts_as_list/acts_as_list-1.0.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26"
+
+inherit ruby-fakegem
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+RUBY_FAKEGEM_EXTRAINSTALL="init.rb"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+DESCRIPTION="Capabilities for sorting and reordering a number of objects in a list"
+HOMEPAGE="https://github.com/swanandp/acts_as_list"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~amd64 ~x86-macos"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/activerecord-4.2:*"
+
+ruby_add_bdepend "
+	test? (
+		dev-ruby/test-unit:2
+		dev-ruby/activerecord[sqlite]
+	)"
+
+all_ruby_prepare() {
+	rm Gemfile || die
+	sed -i -e '/[Bb]undler/d' Rakefile || die
+	sed -i -e '/bundler/,/^end/ s:^:#:' test/helper.rb || die
+	sed -i -e '/git ls/d' ${RUBY_FAKEGEM_GEMSPEC} || die
+	sed -i -e '/github_changelog/,$ s:^:#:' Rakefile || die
+}